#include "pch.h"
#include "MainScreen.h"
MainScreen::MainScreen(TextureManager* manager) : Screen("", Vector2f{0, 0}, Vector2f{900.f, 500.f}, manager) {
	m_FuelMeter = new GuiMeter("gui/main/fuel/fuel.png", Vector2f{20, 500.f - 146 / 1.5 - 20}, Vector2f{336, 146},Vector2f{336 / 2, 146 / 1.5}, 21, manager);
	this->AddElement(m_FuelMeter);
}
MainScreen::~MainScreen() = default;
void MainScreen::Draw() const {
	Screen::Draw();
}
void MainScreen::Update(float elapsedSecs) {
	Screen::Update(elapsedSecs);
}
void MainScreen::SetFuelMeterValue(float value) const {
	m_FuelMeter->SetValue(value);
}
